include ../../../layout/components/mapPanel
#localizacaoGeografica(ng-controller="analiseGeoController as ctrlGeo")
    .row(ng-init="ctrlGeo.init()")
        .col-md-12

            h5 Localização do empreendimento

            +mapPanel-sidebar("mapa-localizacao-empreendimento",'400', true, 'ctrlGeo')
            br
            #accordion-empreendimento.panel-group
                div(uib-accordion class="accordion-empreendimento")
                    div(uib-accordion-group class="panel-default" is-open="ctrlGeo.openedAccordionEmpreendimento")
                        uib-accordion-heading(ng-click="ctrlGeo.openedAccordionEmpreendimento=!ctrlGeo.openedAccordionEmpreendimento")
                            div Dados do empreendimento
                                i(class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down':ctrlGeo.openedAccordionEmpreendimento, 'glyphicon-chevron-right': !ctrlGeo.openedAccordionEmpreendimento}")

                        #meusDadosEmpreendimento
                            table.table.table-striped.table-condensed.no-margin.table-responsive(style="border: 1px solid #d0cbcb;")
                                thead
                                    tr
                                        th.col-md-5 Item
                                        th.col-md-5 Área (ha)
                                        //- th.col-md-2.text-right Alertas

                                tbody
                                    tr(ng-repeat='camada in ctrlGeo.camadasDadosEmpreendimento')
                                        td.col-md-5 {{camada.geometrias[0].item}}
                                        td.col-md-5 {{camada.geometrias[0].descricao}}
                                        //- td.col-md-2.text-right
                                            i.glyphicon.glyphicon-exclamation-sign(ng-class="{'temInconsistencia' : verificaInconsistenciaEmpreendimento() }", ng-if="camada.geometrias[0].item.toUpperCase() === ctrlGeo.categoria.PROPRIEDADE && verificaInconsistenciaEmpreendimento()" , title='Inconsistência adicionada', )
                                            | &nbsp;&nbsp;

            #accordion-complexo.panel-group(ng-if="ctrlGeo.dadosProjeto.categoria === ctrlGeo.categoria.COMPLEXO || ctrlGeo.dadosProjeto.complexo")
                 div(uib-accordion class="accordion-complexo")
                    div(uib-accordion-group class="panel-default" is-open="ctrlGeo.openedAccordionDadosComplexo")
                        uib-accordion-heading(ng-click="ctrlGeo.openedAccordionDadosComplexo=!ctrlGeo.openedAccordionDadosComplexo")
                            div {{ ctrlGeo.labelDadosProjeto }}
                                i(class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down':ctrlGeo.openedAccordionDadosComplexo, 'glyphicon-chevron-right': !ctrlGeo.openedAccordionDadosComplexo}")
                   
                        #meusDadosComplexo
                            span.atividades Atividades:
                            .div-list(style="margin-left: 10px",  ng-repeat="atividade in ctrlGeo.dadosProjeto.atividades")
                                label {{ atividade.atividadeCaracterizacao.atividade.nome }}
                            br
                            table.table.table-striped.table-condensed.no-margin.table-responsive(style="border: 1px solid #d0cbcb;")
                                thead
                                    tr
                                        th.col-md-4 Item
                                        th.col-md-3 Vetorizado
                                        th.col-md-3 Declarado

                                tbody
                                    tr(ng-repeat="geometria in ctrlGeo.dadosProjeto.complexo.geometrias")
                                        td.col-md-5 {{ geometria.item }}
                                        td.col-md-3 {{ geometria.descricao }}
                                        td.col-md-3 {{ atividadeCaracterizacaoParametro }}

            #lista-camadas-atividades(ng-if="ctrlGeo.dadosProjeto.categoria !== ctrlGeo.categoria.COMPLEXO && ctrlGeo.dadosProjeto.complexo === null")
                #accordion-atividades.panel-group
                    h5(style="margin-bottom:0px") {{ ctrlGeo.labelDadosProjeto }}
                    br
                    hr(style="margin-top:2px;")
                    div.collapse-atividade(ng-repeat="atividade in ctrlGeo.dadosProjeto.atividades")
                        div(uib-accordion class="accordion-atividades")
                            div(uib-accordion-group class="panel-default" is-open="atividade.openedAccordion")
                                uib-accordion-heading(ng-click="atividade.openedAccordion=!atividade.openedAccordion")
                                    div Atividade: {{ atividade.atividadeCaracterizacao.atividade.nome.toUpperCase() }}
                                        i(class="pull-right glyphicon" ng-class="{'glyphicon-chevron-down':atividade.openedAccordion, 'glyphicon-chevron-right': !atividade.openedAccordion}")
                   
                        
                                table.table.table-striped.table-condensed.no-margin.table-responsive(style="border: 1px solid #d0cbcb;")
                                    thead
                                        tr
                                        th.col-md-4 Item
                                        th.col-md-3 Vetorizado
                                        th.col-md-3 Declarado

                                    tbody
                                        tr(ng-repeat="geometria in atividade.geometrias")
                                            td.col-md-5 {{ geometria.item }}
                                            td.col-md-3 {{ geometria.descricao }}
                                            td.col-md-3 {{ geometria.parametro }}

            hr

            div(ng-if="ctrlGeo.dadosProjeto.restricoes.length > 0")

                label Restrição da sobreposição

                table.table.table-striped.table-condensed.no-margin.table-responsive(style="border: 1px solid #d0cbcb;")
                    thead
                        tr
                        th.col-md-4 Item
                        th.col-md-5 Descrição
                        //- th.col-md-1.text-right Alertas

                    tbody(ng-repeat="restricao in ctrlGeo.dadosProjeto.restricoes")
                        td.col-md-5 {{ restricao.item }}
                        td.col-md-5 {{ restricao.descricao }}

                        //- tr(ng-repeat="orgao in restricao.sobreposicaoCaracterizacaoAtividade.tipoSobreposicao.orgaosResponsaveis")
                            td.col-md-5 {{ restricao.item }}
                            td.col-md-5 {{ restricao.descricao }}
                            td.col-md-2.text-right
                                i.glyphicon.glyphicon-exclamation-sign(title='Sobreposição encontrada. Adicione inconsistência para notificar o interessado que procure o {{orgao.sigla.toUpperCase()}}',

                                                                        ng-if="orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IPHAN || orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IBAMA",

                                                                        ng-class="{'temInconsistencia' : verificaInconsistenciaRestricao(ctrlGeo.categoria.RESTRICAO,camadaDadosAtividade.atividadeCaracterizacao.id,restricao.sobreposicaoCaracterizacaoEmpreendimento.id)}")
                                |&nbsp;
                                i.glyphicon.glyphicon-envelope(title='O órgão {{orgao.sigla.toUpperCase()}} será comunicado sobre a restrição {{restricao.item.toUpperCase()}}',

                                                                ng-if="orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IPHAN && orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IBAMA")
                                |&nbsp;

                        //- tr(ng-repeat="orgao in restricao.sobreposicaoCaracterizacaoEmpreendimento.tipoSobreposicao.orgaosResponsaveis")
                            td.col-md-5 {{ restricao.item }}
                            td.col-md-5 {{ restricao.descricao }}
                            td.col-md-2.text-right
                                i.glyphicon.glyphicon-exclamation-sign(title='Sobreposição encontrada. Adicione inconsistência para notificar o interessado que procure o {{orgao.sigla.toUpperCase()}}',

                                                                        ng-if="orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IPHAN || orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IBAMA",

                                                                        ng-class="{'temInconsistencia' : verificaInconsistenciaRestricao(ctrlGeo.categoria.RESTRICAO,camadaDadosAtividade.atividadeCaracterizacao.id,restricao.sobreposicaoCaracterizacaoEmpreendimento.id)}")
                                |&nbsp;
                                i.glyphicon.glyphicon-envelope(title='O órgão {{orgao.sigla.toUpperCase()}} será comunicado sobre a restrição {{restricao.item.toUpperCase()}}',

                                                                ng-if="orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IPHAN && orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IBAMA")
                                |&nbsp;

                        //- tr(ng-repeat="orgao in restricao.sobreposicaoCaracterizacaoComplexo.tipoSobreposicao.orgaosResponsaveis")
                            td.col-md-5 {{ restricao.item }}
                            td.col-md-5 {{ restricao.descricao }}
                            td.col-md-2.text-right
                                i.glyphicon.glyphicon-exclamation-sign(title='Sobreposição encontrada. Adicione inconsistência para notificar o interessado que procure o {{orgao.sigla.toUpperCase()}}',

                                                                        ng-if="orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IPHAN || orgao.sigla.toUpperCase() === ctrlGeo.orgaos.IBAMA",

                                                                        ng-class="{'temInconsistencia' : verificaInconsistenciaRestricao(ctrlGeo.categoria.RESTRICAO,camadaDadosAtividade.atividadeCaracterizacao.id,restricao.sobreposicaoCaracterizacaoEmpreendimento.id)}")
                                |&nbsp;
                                i.glyphicon.glyphicon-envelope(title='O órgão {{orgao.sigla.toUpperCase()}} será comunicado sobre a restrição {{restricao.item.toUpperCase()}}',

                                                                ng-if="orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IPHAN && orgao.sigla.toUpperCase() !== ctrlGeo.orgaos.IBAMA")
                                |&nbsp;

            br
            div.inconsistencias
                label.title-inconsistencia(ng-if="ctrlGeo.analiseGeo.inconsistencias.length > 0") Inconsistências Encontradas
                button.btn.btn-default.pull-right.btn-incluir-inconsistencia(ng-click="addInconsistencia()")
                    i.glyphicon.glyphicon-plus
                    |  Incluir Inconsistência

                table.table.table-striped.table-condensed.no-margin.table-responsive(style="border: 1px solid #d0cbcb;", ng-if="ctrlGeo.analiseGeo.inconsistencias.length > 0")
                    thead
                        tr
                        th.col-md-4 Item
                        th.col-md-3 Categoria
                        th.col-md-4 Descrição
                        th.col-md-1.text-right Ações

                    tbody(ng-repeat="inconsistencia in ctrlGeo.analiseGeo.inconsistencias")
                        tr
                            td.col-md-4 {{ getItemRestricao(inconsistencia) }}
                            td.col-md-3 {{ getItemRestricao(inconsistencia).toUpperCase() }}
                            td.col-md-4 {{ getDescricaoRestricao(inconsistencia) || '-' }}
                            td.col-md-2.text-right
                                i.glyphicon.glyphicon-pencil.icone-inconsistencia-clicavel(ng-if="inconsistencia.categoria !== 'RESTRICAO'",
                                        ng-click='addInconsistenciaGeral(inconsistencia)', title='Editar inconsistência')
                                i.glyphicon.glyphicon-pencil.icone-inconsistencia-clicavel(ng-if="inconsistencia.categoria === 'RESTRICAO'",
                                        ng-click="addInconsistenciaRestricao(ctrlGeo.categoria.RESTRICAO, inconsistencia, true)", title='Editar inconsistência')
                                i.glyphicon.glyphicon-trash.icone-inconsistencia-clicavel(title='Excluir inconsistência',
                                        ng-bootbox-title='Confirmação',
                                        ng-bootbox-confirm='Deseja realmente excluir esta inconsistência ?',
                                        ng-bootbox-confirm-action="excluirInconsistenciaGeo(inconsistencia.id)")

                                |&nbsp;
            div.info-sem-dados-para-exibir.margin-inconsistencia(ng-if="ctrlGeo.analiseGeo.inconsistencias.length <= 0")
                i Nenhuma inconsistência adicionada.
